package com.atlassian.bitbucket.internal.mirroring.mirror.rest.cloud;

import com.atlassian.bitbucket.rest.RestMapEntity;

import javax.annotation.Nonnull;

import static com.atlassian.bitbucket.internal.mirroring.mirror.rest.cloud.RestCloudEntityProperties.ACCESS_TOKEN;
import static com.atlassian.bitbucket.internal.mirroring.mirror.rest.cloud.RestCloudEntityProperties.EXPIRES_IN;

public class RestOAuthAccessToken extends RestMapEntity {

    public RestOAuthAccessToken() {
    }

    @Nonnull
    public String getAccessToken() {
        return getStringProperty(ACCESS_TOKEN);
    }

    public int getExpiresIn() {
        return getIntProperty(EXPIRES_IN);
    }
}
